#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(6500.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, 0.000000)
Hull.SetPosition2D(-3.000000, 8.000000)
Hull.SetRepairComplexity(2.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(0.700000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(3000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.112007, 0.224275)
ShieldGenerator.SetPosition2D(65.000000, 36.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.500000)
ShieldGenerator.SetRadius(0.050000)
ShieldGenerator.SetNormalPowerPerSecond(200.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.203922, 0.631373, 1.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 5500.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 15.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 15.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 15.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 15.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 15.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 15.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(3000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.000000, 0.446805, -0.212000)
SensorArray.SetPosition2D(62.000000, 14.000000)
SensorArray.SetRepairComplexity(2.000000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.100000)
SensorArray.SetNormalPowerPerSecond(150.000000)
SensorArray.SetBaseSensorRange(1500.000000)
SensorArray.SetMaxProbes(2)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(4500.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.000000, 0.052707, 0.000000)
WarpCore.SetPosition2D(66.000000, 62.000000)
WarpCore.SetRepairComplexity(2.000000)
WarpCore.SetDisabledPercentage(0.500000)
WarpCore.SetRadius(0.100000)
WarpCore.SetMainBatteryLimit(90000.000000)
WarpCore.SetBackupBatteryLimit(45000.000000)
WarpCore.SetMainConduitCapacity(1125.000000)
WarpCore.SetBackupConduitCapacity(90.000000)
WarpCore.SetPowerOutput(900.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(2000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, -0.500000, 0.000000)
ImpulseEngines.SetPosition2D(69.000000, 70.000000)
ImpulseEngines.SetRepairComplexity(4.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.050000)
ImpulseEngines.SetNormalPowerPerSecond(200.000000)
ImpulseEngines.SetMaxAccel(3.000000)
ImpulseEngines.SetMaxAngularAccel(0.250000)
ImpulseEngines.SetMaxAngularVelocity(0.500000)
ImpulseEngines.SetMaxSpeed(8.000000)
ImpulseEngines.SetEngineSound("Federation Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
Phasers = App.WeaponSystemProperty_Create("Phasers")

Phasers.SetMaxCondition(8000.000000)
Phasers.SetCritical(0)
Phasers.SetTargetable(0)
Phasers.SetPrimary(1)
Phasers.SetPosition(0.000000, 0.771114, 0.022852)
Phasers.SetPosition2D(55.000000, 60.000000)
Phasers.SetRepairComplexity(7.000000)
Phasers.SetDisabledPercentage(0.750000)
Phasers.SetRadius(0.050000)
Phasers.SetNormalPowerPerSecond(250.000000)
Phasers.SetWeaponSystemType(Phasers.WST_PHASER)
Phasers.SetSingleFire(0)
Phasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Phasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Phasers)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(7000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.000000, 0.000000, 0.000000)
WarpEngines.SetPosition2D(59.000000, 70.000000)
WarpEngines.SetRepairComplexity(3.000000)
WarpEngines.SetDisabledPercentage(0.200000)
WarpEngines.SetRadius(0.050000)
WarpEngines.SetNormalPowerPerSecond(0.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(8800.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 0.453201, 0.000000)
Torpedoes.SetPosition2D(74.000000, 60.000000)
Torpedoes.SetRepairComplexity(3.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.050000)
Torpedoes.SetNormalPowerPerSecond(100.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;12;Dual;5;Quad")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 100)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.Dur_PhotonTorpedo2")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
LateralPortPhaser = App.PhaserProperty_Create("Lateral Port Phaser")

LateralPortPhaser.SetMaxCondition(1000.000000)
LateralPortPhaser.SetCritical(0)
LateralPortPhaser.SetTargetable(1)
LateralPortPhaser.SetPrimary(1)
LateralPortPhaser.SetPosition(-0.663433, -0.694812, 0.035810)
LateralPortPhaser.SetPosition2D(34.000000, 30.000000)
LateralPortPhaser.SetRepairComplexity(3.000000)
LateralPortPhaser.SetDisabledPercentage(0.750000)
LateralPortPhaser.SetRadius(0.250000)
LateralPortPhaser.SetDumbfire(0)
LateralPortPhaser.SetWeaponID(1)
LateralPortPhaser.SetGroups(0)
LateralPortPhaser.SetDamageRadiusFactor(0.100000)
LateralPortPhaser.SetIconNum(361)
LateralPortPhaser.SetIconPositionX(19.000000)
LateralPortPhaser.SetIconPositionY(82.000000)
LateralPortPhaser.SetIconAboveShip(1)
LateralPortPhaser.SetFireSound("Ambassador Phaser")
LateralPortPhaser.SetMaxCharge(1.500000)
LateralPortPhaser.SetMaxDamage(500.000000)
LateralPortPhaser.SetMaxDamageDistance(75.000000)
LateralPortPhaser.SetMinFiringCharge(1.000000)
LateralPortPhaser.SetNormalDischargeRate(1.000000)
LateralPortPhaser.SetRechargeRate(0.300000)
LateralPortPhaser.SetIndicatorIconNum(508)
LateralPortPhaser.SetIndicatorIconPositionX(17.000000)
LateralPortPhaser.SetIndicatorIconPositionY(82.000000)
LateralPortPhaserForward = App.TGPoint3()
LateralPortPhaserForward.SetXYZ(-1.000000, 0.000000, 0.000000)
LateralPortPhaserUp = App.TGPoint3()
LateralPortPhaserUp.SetXYZ(0.000000, 0.000000, 1.000000)
LateralPortPhaser.SetOrientation(LateralPortPhaserForward, LateralPortPhaserUp)
LateralPortPhaser.SetWidth(0.140000)
LateralPortPhaser.SetLength(0.010000)
LateralPortPhaser.SetArcWidthAngles(-1.047198, 1.047198)
LateralPortPhaser.SetArcHeightAngles(-1.047198, 1.047198)
LateralPortPhaser.SetPhaserTextureStart(0)
LateralPortPhaser.SetPhaserTextureEnd(7)
LateralPortPhaser.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
LateralPortPhaser.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
LateralPortPhaser.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
LateralPortPhaser.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
LateralPortPhaser.SetInnerCoreColor(kColor)
LateralPortPhaser.SetNumSides(6)
LateralPortPhaser.SetMainRadius(0.070000)
LateralPortPhaser.SetTaperRadius(0.010000)
LateralPortPhaser.SetCoreScale(0.300000)
LateralPortPhaser.SetTaperRatio(0.250000)
LateralPortPhaser.SetTaperMinLength(30.000000)
LateralPortPhaser.SetTaperMaxLength(30.000000)
LateralPortPhaser.SetLengthTextureTilePerUnit(0.050000)
LateralPortPhaser.SetPerimeterTile(1.000000)
LateralPortPhaser.SetTextureSpeed(2.000000)
LateralPortPhaser.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(LateralPortPhaser)
#################################################
DorsalAftPhaser = App.PhaserProperty_Create("Dorsal Aft Phaser")

DorsalAftPhaser.SetMaxCondition(1000.000000)
DorsalAftPhaser.SetCritical(0)
DorsalAftPhaser.SetTargetable(1)
DorsalAftPhaser.SetPrimary(1)
DorsalAftPhaser.SetPosition(0.000000, -0.433463, 0.156602)
DorsalAftPhaser.SetPosition2D(75.000000, 15.000000)
DorsalAftPhaser.SetRepairComplexity(5.000000)
DorsalAftPhaser.SetDisabledPercentage(0.750000)
DorsalAftPhaser.SetRadius(0.250000)
DorsalAftPhaser.SetDumbfire(0)
DorsalAftPhaser.SetWeaponID(2)
DorsalAftPhaser.SetGroups(0)
DorsalAftPhaser.SetDamageRadiusFactor(0.100000)
DorsalAftPhaser.SetIconNum(363)
DorsalAftPhaser.SetIconPositionX(62.000000)
DorsalAftPhaser.SetIconPositionY(81.000000)
DorsalAftPhaser.SetIconAboveShip(1)
DorsalAftPhaser.SetFireSound("Ambassador Phaser")
DorsalAftPhaser.SetMaxCharge(1.500000)
DorsalAftPhaser.SetMaxDamage(500.000000)
DorsalAftPhaser.SetMaxDamageDistance(75.000000)
DorsalAftPhaser.SetMinFiringCharge(1.000000)
DorsalAftPhaser.SetNormalDischargeRate(1.000000)
DorsalAftPhaser.SetRechargeRate(0.300000)
DorsalAftPhaser.SetIndicatorIconNum(511)
DorsalAftPhaser.SetIndicatorIconPositionX(57.000000)
DorsalAftPhaser.SetIndicatorIconPositionY(76.000000)
DorsalAftPhaserForward = App.TGPoint3()
DorsalAftPhaserForward.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalAftPhaserUp = App.TGPoint3()
DorsalAftPhaserUp.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalAftPhaser.SetOrientation(DorsalAftPhaserForward, DorsalAftPhaserUp)
DorsalAftPhaser.SetWidth(0.085000)
DorsalAftPhaser.SetLength(0.005000)
DorsalAftPhaser.SetArcWidthAngles(-1.047198, 1.047198)
DorsalAftPhaser.SetArcHeightAngles(-1.047198, 1.047198)
DorsalAftPhaser.SetPhaserTextureStart(0)
DorsalAftPhaser.SetPhaserTextureEnd(7)
DorsalAftPhaser.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalAftPhaser.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalAftPhaser.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalAftPhaser.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalAftPhaser.SetInnerCoreColor(kColor)
DorsalAftPhaser.SetNumSides(6)
DorsalAftPhaser.SetMainRadius(0.070000)
DorsalAftPhaser.SetTaperRadius(0.010000)
DorsalAftPhaser.SetCoreScale(0.300000)
DorsalAftPhaser.SetTaperRatio(0.250000)
DorsalAftPhaser.SetTaperMinLength(30.000000)
DorsalAftPhaser.SetTaperMaxLength(30.000000)
DorsalAftPhaser.SetLengthTextureTilePerUnit(0.050000)
DorsalAftPhaser.SetPerimeterTile(1.000000)
DorsalAftPhaser.SetTextureSpeed(2.000000)
DorsalAftPhaser.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalAftPhaser)
#################################################
ForwardTorpedo1 = App.TorpedoTubeProperty_Create("Forward Torpedo 1")

ForwardTorpedo1.SetMaxCondition(850.000000)
ForwardTorpedo1.SetCritical(0)
ForwardTorpedo1.SetTargetable(1)
ForwardTorpedo1.SetPrimary(1)
ForwardTorpedo1.SetPosition(0.000000, 0.614049, -0.191320)
ForwardTorpedo1.SetPosition2D(56.000000, 2.000000)
ForwardTorpedo1.SetRepairComplexity(3.000000)
ForwardTorpedo1.SetDisabledPercentage(0.750000)
ForwardTorpedo1.SetRadius(0.050000)
ForwardTorpedo1.SetDumbfire(1)
ForwardTorpedo1.SetWeaponID(1)
ForwardTorpedo1.SetGroups(17)
ForwardTorpedo1.SetDamageRadiusFactor(0.200000)
ForwardTorpedo1.SetIconNum(370)
ForwardTorpedo1.SetIconPositionX(74.000000)
ForwardTorpedo1.SetIconPositionY(35.000000)
ForwardTorpedo1.SetIconAboveShip(1)
ForwardTorpedo1.SetImmediateDelay(0.250000)
ForwardTorpedo1.SetReloadDelay(30.000000)
ForwardTorpedo1.SetMaxReady(2)
ForwardTorpedo1Direction = App.TGPoint3()
ForwardTorpedo1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorpedo1.SetDirection(ForwardTorpedo1Direction)
ForwardTorpedo1Right = App.TGPoint3()
ForwardTorpedo1Right.SetXYZ(-1.000000, 0.000000, 0.000000)
ForwardTorpedo1.SetRight(ForwardTorpedo1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorpedo1)
#################################################
ForwardTorpedo2 = App.TorpedoTubeProperty_Create("Forward Torpedo 2")

ForwardTorpedo2.SetMaxCondition(850.000000)
ForwardTorpedo2.SetCritical(0)
ForwardTorpedo2.SetTargetable(1)
ForwardTorpedo2.SetPrimary(1)
ForwardTorpedo2.SetPosition(0.000000, 0.614049, -0.191320)
ForwardTorpedo2.SetPosition2D(78.000000, 2.000000)
ForwardTorpedo2.SetRepairComplexity(3.000000)
ForwardTorpedo2.SetDisabledPercentage(0.750000)
ForwardTorpedo2.SetRadius(0.050000)
ForwardTorpedo2.SetDumbfire(1)
ForwardTorpedo2.SetWeaponID(2)
ForwardTorpedo2.SetGroups(17)
ForwardTorpedo2.SetDamageRadiusFactor(0.200000)
ForwardTorpedo2.SetIconNum(370)
ForwardTorpedo2.SetIconPositionX(74.000000)
ForwardTorpedo2.SetIconPositionY(35.000000)
ForwardTorpedo2.SetIconAboveShip(1)
ForwardTorpedo2.SetImmediateDelay(0.250000)
ForwardTorpedo2.SetReloadDelay(30.000000)
ForwardTorpedo2.SetMaxReady(2)
ForwardTorpedo2Direction = App.TGPoint3()
ForwardTorpedo2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorpedo2.SetDirection(ForwardTorpedo2Direction)
ForwardTorpedo2Right = App.TGPoint3()
ForwardTorpedo2Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorpedo2.SetRight(ForwardTorpedo2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorpedo2)
#################################################
AftTorpedo1 = App.TorpedoTubeProperty_Create("Aft Torpedo 1")

AftTorpedo1.SetMaxCondition(850.000000)
AftTorpedo1.SetCritical(0)
AftTorpedo1.SetTargetable(1)
AftTorpedo1.SetPrimary(1)
AftTorpedo1.SetPosition(0.000000, -0.575635, -0.063408)
AftTorpedo1.SetPosition2D(59.000000, 105.000000)
AftTorpedo1.SetRepairComplexity(3.000000)
AftTorpedo1.SetDisabledPercentage(0.750000)
AftTorpedo1.SetRadius(0.050000)
AftTorpedo1.SetDumbfire(1)
AftTorpedo1.SetWeaponID(3)
AftTorpedo1.SetGroups(17)
AftTorpedo1.SetDamageRadiusFactor(0.200000)
AftTorpedo1.SetIconNum(370)
AftTorpedo1.SetIconPositionX(74.000000)
AftTorpedo1.SetIconPositionY(116.000000)
AftTorpedo1.SetIconAboveShip(1)
AftTorpedo1.SetImmediateDelay(0.250000)
AftTorpedo1.SetReloadDelay(30.000000)
AftTorpedo1.SetMaxReady(2)
AftTorpedo1Direction = App.TGPoint3()
AftTorpedo1Direction.SetXYZ(0.000000, -1.000000, 0.000000)
AftTorpedo1.SetDirection(AftTorpedo1Direction)
AftTorpedo1Right = App.TGPoint3()
AftTorpedo1Right.SetXYZ(-1.000000, 0.000000, 0.000000)
AftTorpedo1.SetRight(AftTorpedo1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTorpedo1)
#################################################
AftTorpedo2 = App.TorpedoTubeProperty_Create("Aft Torpedo 2")

AftTorpedo2.SetMaxCondition(850.000000)
AftTorpedo2.SetCritical(0)
AftTorpedo2.SetTargetable(1)
AftTorpedo2.SetPrimary(1)
AftTorpedo2.SetPosition(0.000000, -0.575635, -0.063408)
AftTorpedo2.SetPosition2D(70.000000, 105.000000)
AftTorpedo2.SetRepairComplexity(3.000000)
AftTorpedo2.SetDisabledPercentage(0.750000)
AftTorpedo2.SetRadius(0.050000)
AftTorpedo2.SetDumbfire(1)
AftTorpedo2.SetWeaponID(4)
AftTorpedo2.SetGroups(17)
AftTorpedo2.SetDamageRadiusFactor(0.200000)
AftTorpedo2.SetIconNum(370)
AftTorpedo2.SetIconPositionX(74.000000)
AftTorpedo2.SetIconPositionY(116.000000)
AftTorpedo2.SetIconAboveShip(1)
AftTorpedo2.SetImmediateDelay(0.250000)
AftTorpedo2.SetReloadDelay(30.000000)
AftTorpedo2.SetMaxReady(2)
AftTorpedo2Direction = App.TGPoint3()
AftTorpedo2Direction.SetXYZ(0.000000, -1.000000, 0.000000)
AftTorpedo2.SetDirection(AftTorpedo2Direction)
AftTorpedo2Right = App.TGPoint3()
AftTorpedo2Right.SetXYZ(1.000000, 0.000000, 0.000000)
AftTorpedo2.SetRight(AftTorpedo2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTorpedo2)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(2500.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-0.501680, -0.673954, -0.160000)
PortWarp.SetPosition2D(33.000000, 71.000000)
PortWarp.SetRepairComplexity(3.000000)
PortWarp.SetDisabledPercentage(0.500000)
PortWarp.SetRadius(0.250000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(2500.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(0.501680, -0.673954, -0.160000)
StarWarp.SetPosition2D(97.000000, 71.000000)
StarWarp.SetRepairComplexity(3.000000)
StarWarp.SetDisabledPercentage(0.500000)
StarWarp.SetRadius(0.250000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
Engineering = App.RepairSubsystemProperty_Create("Engineering")

Engineering.SetMaxCondition(1000.000000)
Engineering.SetCritical(0)
Engineering.SetTargetable(0)
Engineering.SetPrimary(1)
Engineering.SetPosition(0.000000, 0.000000, 0.000000)
Engineering.SetPosition2D(75.000000, 90.000000)
Engineering.SetRepairComplexity(1.000000)
Engineering.SetDisabledPercentage(0.010000)
Engineering.SetRadius(0.100000)
Engineering.SetNormalPowerPerSecond(0.000000)
Engineering.SetMaxRepairPoints(25.000000)
Engineering.SetNumRepairTeams(3)
App.g_kModelPropertyManager.RegisterLocalTemplate(Engineering)
#################################################
Tractors = App.WeaponSystemProperty_Create("Tractors")

Tractors.SetMaxCondition(4000.000000)
Tractors.SetCritical(0)
Tractors.SetTargetable(0)
Tractors.SetPrimary(1)
Tractors.SetPosition(0.000000, 0.000000, 0.000000)
Tractors.SetPosition2D(64.000000, 110.000000)
Tractors.SetRepairComplexity(7.000000)
Tractors.SetDisabledPercentage(0.750000)
Tractors.SetRadius(0.025000)
Tractors.SetNormalPowerPerSecond(300.000000)
Tractors.SetWeaponSystemType(Tractors.WST_TRACTOR)
Tractors.SetSingleFire(1)
Tractors.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Tractors.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Tractors)
#################################################
ForwardTractor = App.TractorBeamProperty_Create("Forward Tractor")

ForwardTractor.SetMaxCondition(850.000000)
ForwardTractor.SetCritical(0)
ForwardTractor.SetTargetable(1)
ForwardTractor.SetPrimary(1)
ForwardTractor.SetPosition(0.000000, 0.934600, -0.088816)
ForwardTractor.SetPosition2D(61.000000, 6.000000)
ForwardTractor.SetRepairComplexity(3.000000)
ForwardTractor.SetDisabledPercentage(0.750000)
ForwardTractor.SetRadius(0.050000)
ForwardTractor.SetDumbfire(0)
ForwardTractor.SetWeaponID(7)
ForwardTractor.SetGroups(0)
ForwardTractor.SetDamageRadiusFactor(0.300000)
ForwardTractor.SetIconNum(0)
ForwardTractor.SetIconPositionX(0.000000)
ForwardTractor.SetIconPositionY(0.000000)
ForwardTractor.SetIconAboveShip(1)
ForwardTractor.SetFireSound("Tractor Beam")
ForwardTractor.SetMaxCharge(500.000000)
ForwardTractor.SetMaxDamage(900.000000)
ForwardTractor.SetMaxDamageDistance(100.000000)
ForwardTractor.SetMinFiringCharge(50.000000)
ForwardTractor.SetNormalDischargeRate(1.000000)
ForwardTractor.SetRechargeRate(1.000000)
ForwardTractor.SetIndicatorIconNum(0)
ForwardTractor.SetIndicatorIconPositionX(0.000000)
ForwardTractor.SetIndicatorIconPositionY(0.000000)
ForwardTractorForward = App.TGPoint3()
ForwardTractorForward.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTractorUp = App.TGPoint3()
ForwardTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
ForwardTractor.SetOrientation(ForwardTractorForward, ForwardTractorUp)
ForwardTractor.SetArcWidthAngles(-0.785398, 0.785398)
ForwardTractor.SetArcHeightAngles(0.000000, -1.570796)
ForwardTractor.SetTractorBeamWidth(0.700000)
ForwardTractor.SetTextureStart(0)
ForwardTractor.SetTextureEnd(0)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerCoreColor(kColor)
ForwardTractor.SetNumSides(12)
ForwardTractor.SetMainRadius(0.075000)
ForwardTractor.SetTaperRadius(0.000000)
ForwardTractor.SetCoreScale(0.450000)
ForwardTractor.SetTaperRatio(0.200000)
ForwardTractor.SetTaperMinLength(1.000000)
ForwardTractor.SetTaperMaxLength(5.000000)
ForwardTractor.SetLengthTextureTilePerUnit(0.250000)
ForwardTractor.SetPerimeterTile(1.000000)
ForwardTractor.SetTextureSpeed(0.200000)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTractor)
#################################################
AMB_EscortType1 = App.ShipProperty_Create("AMB Escort Type 1")

AMB_EscortType1.SetGenus(1)
AMB_EscortType1.SetSpecies(104)
AMB_EscortType1.SetMass(50.000000)
AMB_EscortType1.SetRotationalInertia(1500.000000)
AMB_EscortType1.SetShipName("AMB_Escorts")
AMB_EscortType1.SetModelFilename("data/Models/Ships/AMB_EscortType1.nif")
AMB_EscortType1.SetDamageResolution(10.000000)
AMB_EscortType1.SetAffiliation(0)
AMB_EscortType1.SetStationary(0)
AMB_EscortType1.SetAIString("FedAttack")
AMB_EscortType1.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(AMB_EscortType1)
#################################################
Bridge = App.HullProperty_Create("Bridge")

Bridge.SetMaxCondition(3500.000000)
Bridge.SetCritical(0)
Bridge.SetTargetable(1)
Bridge.SetPrimary(0)
Bridge.SetPosition(0.001211, 0.523162, 0.260000)
Bridge.SetPosition2D(130.000000, 10.000000)
Bridge.SetRepairComplexity(2.000000)
Bridge.SetDisabledPercentage(0.000000)
Bridge.SetRadius(0.050000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Bridge)
#################################################
AftTractor = App.TractorBeamProperty_Create("Aft Tractor")

AftTractor.SetMaxCondition(850.000000)
AftTractor.SetCritical(0)
AftTractor.SetTargetable(1)
AftTractor.SetPrimary(1)
AftTractor.SetPosition(0.000000, -0.469422, -0.096183)
AftTractor.SetPosition2D(62.000000, 74.000000)
AftTractor.SetRepairComplexity(3.000000)
AftTractor.SetDisabledPercentage(0.750000)
AftTractor.SetRadius(0.050000)
AftTractor.SetDumbfire(0)
AftTractor.SetWeaponID(0)
AftTractor.SetGroups(0)
AftTractor.SetDamageRadiusFactor(0.300000)
AftTractor.SetIconNum(0)
AftTractor.SetIconPositionX(0.000000)
AftTractor.SetIconPositionY(0.000000)
AftTractor.SetIconAboveShip(1)
AftTractor.SetFireSound("Tractor Beam")
AftTractor.SetMaxCharge(5.000000)
AftTractor.SetMaxDamage(900.000000)
AftTractor.SetMaxDamageDistance(100.000000)
AftTractor.SetMinFiringCharge(3.000000)
AftTractor.SetNormalDischargeRate(1.000000)
AftTractor.SetRechargeRate(0.300000)
AftTractor.SetIndicatorIconNum(0)
AftTractor.SetIndicatorIconPositionX(0.000000)
AftTractor.SetIndicatorIconPositionY(0.000000)
AftTractorForward = App.TGPoint3()
AftTractorForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftTractorUp = App.TGPoint3()
AftTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftTractor.SetOrientation(AftTractorForward, AftTractorUp)
AftTractor.SetArcWidthAngles(-0.785398, 0.785398)
AftTractor.SetArcHeightAngles(-1.570796, 0.000000)
AftTractor.SetTractorBeamWidth(0.700000)
AftTractor.SetTextureStart(0)
AftTractor.SetTextureEnd(0)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerCoreColor(kColor)
AftTractor.SetNumSides(12)
AftTractor.SetMainRadius(0.075000)
AftTractor.SetTaperRadius(0.000000)
AftTractor.SetCoreScale(0.450000)
AftTractor.SetTaperRatio(0.200000)
AftTractor.SetTaperMinLength(1.000000)
AftTractor.SetTaperMaxLength(5.000000)
AftTractor.SetLengthTextureTilePerUnit(0.250000)
AftTractor.SetPerimeterTile(1.000000)
AftTractor.SetTextureSpeed(0.200000)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTractor)
#################################################
VentralStarPhaser = App.PhaserProperty_Create("Ventral Star Phaser")

VentralStarPhaser.SetMaxCondition(1000.000000)
VentralStarPhaser.SetCritical(0)
VentralStarPhaser.SetTargetable(1)
VentralStarPhaser.SetPrimary(1)
VentralStarPhaser.SetPosition(0.000000, 0.460000, -0.099000)
VentralStarPhaser.SetPosition2D(24.000000, 30.000000)
VentralStarPhaser.SetRepairComplexity(3.000000)
VentralStarPhaser.SetDisabledPercentage(0.750000)
VentralStarPhaser.SetRadius(0.250000)
VentralStarPhaser.SetDumbfire(0)
VentralStarPhaser.SetWeaponID(4)
VentralStarPhaser.SetGroups(0)
VentralStarPhaser.SetDamageRadiusFactor(0.100000)
VentralStarPhaser.SetIconNum(362)
VentralStarPhaser.SetIconPositionX(118.000000)
VentralStarPhaser.SetIconPositionY(35.000000)
VentralStarPhaser.SetIconAboveShip(1)
VentralStarPhaser.SetFireSound("Ambassador Phaser")
VentralStarPhaser.SetMaxCharge(1.500000)
VentralStarPhaser.SetMaxDamage(500.000000)
VentralStarPhaser.SetMaxDamageDistance(75.000000)
VentralStarPhaser.SetMinFiringCharge(1.000000)
VentralStarPhaser.SetNormalDischargeRate(1.000000)
VentralStarPhaser.SetRechargeRate(0.300000)
VentralStarPhaser.SetIndicatorIconNum(509)
VentralStarPhaser.SetIndicatorIconPositionX(117.000000)
VentralStarPhaser.SetIndicatorIconPositionY(35.000000)
VentralStarPhaserForward = App.TGPoint3()
VentralStarPhaserForward.SetXYZ(0.999800, -0.019996, 0.000000)
VentralStarPhaserUp = App.TGPoint3()
VentralStarPhaserUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralStarPhaser.SetOrientation(VentralStarPhaserForward, VentralStarPhaserUp)
VentralStarPhaser.SetWidth(0.630000)
VentralStarPhaser.SetLength(0.625000)
VentralStarPhaser.SetArcWidthAngles(-0.698132, 0.698132)
VentralStarPhaser.SetArcHeightAngles(0.000000, 1.570796)
VentralStarPhaser.SetPhaserTextureStart(0)
VentralStarPhaser.SetPhaserTextureEnd(7)
VentralStarPhaser.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralStarPhaser.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralStarPhaser.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralStarPhaser.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralStarPhaser.SetInnerCoreColor(kColor)
VentralStarPhaser.SetNumSides(6)
VentralStarPhaser.SetMainRadius(0.070000)
VentralStarPhaser.SetTaperRadius(0.010000)
VentralStarPhaser.SetCoreScale(0.300000)
VentralStarPhaser.SetTaperRatio(0.250000)
VentralStarPhaser.SetTaperMinLength(30.000000)
VentralStarPhaser.SetTaperMaxLength(30.000000)
VentralStarPhaser.SetLengthTextureTilePerUnit(0.050000)
VentralStarPhaser.SetPerimeterTile(1.000000)
VentralStarPhaser.SetTextureSpeed(2.000000)
VentralStarPhaser.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralStarPhaser)
#################################################
DorsalFwdPhaser = App.PhaserProperty_Create("Dorsal Fwd Phaser")

DorsalFwdPhaser.SetMaxCondition(1000.000000)
DorsalFwdPhaser.SetCritical(0)
DorsalFwdPhaser.SetTargetable(1)
DorsalFwdPhaser.SetPrimary(1)
DorsalFwdPhaser.SetPosition(0.000000, 0.545000, 0.134000)
DorsalFwdPhaser.SetPosition2D(54.000000, 15.000000)
DorsalFwdPhaser.SetRepairComplexity(3.000000)
DorsalFwdPhaser.SetDisabledPercentage(0.750000)
DorsalFwdPhaser.SetRadius(0.250000)
DorsalFwdPhaser.SetDumbfire(0)
DorsalFwdPhaser.SetWeaponID(5)
DorsalFwdPhaser.SetGroups(0)
DorsalFwdPhaser.SetDamageRadiusFactor(0.100000)
DorsalFwdPhaser.SetIconNum(364)
DorsalFwdPhaser.SetIconPositionX(61.000000)
DorsalFwdPhaser.SetIconPositionY(17.000000)
DorsalFwdPhaser.SetIconAboveShip(1)
DorsalFwdPhaser.SetFireSound("Ambassador Phaser")
DorsalFwdPhaser.SetMaxCharge(1.500000)
DorsalFwdPhaser.SetMaxDamage(500.000000)
DorsalFwdPhaser.SetMaxDamageDistance(75.000000)
DorsalFwdPhaser.SetMinFiringCharge(1.000000)
DorsalFwdPhaser.SetNormalDischargeRate(1.000000)
DorsalFwdPhaser.SetRechargeRate(0.300000)
DorsalFwdPhaser.SetIndicatorIconNum(510)
DorsalFwdPhaser.SetIndicatorIconPositionX(57.000000)
DorsalFwdPhaser.SetIndicatorIconPositionY(12.000000)
DorsalFwdPhaserForward = App.TGPoint3()
DorsalFwdPhaserForward.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalFwdPhaserUp = App.TGPoint3()
DorsalFwdPhaserUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalFwdPhaser.SetOrientation(DorsalFwdPhaserForward, DorsalFwdPhaserUp)
DorsalFwdPhaser.SetWidth(0.580000)
DorsalFwdPhaser.SetLength(0.500000)
DorsalFwdPhaser.SetArcWidthAngles(-0.785398, 0.785398)
DorsalFwdPhaser.SetArcHeightAngles(-0.087266, 1.570796)
DorsalFwdPhaser.SetPhaserTextureStart(0)
DorsalFwdPhaser.SetPhaserTextureEnd(7)
DorsalFwdPhaser.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
DorsalFwdPhaser.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
DorsalFwdPhaser.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
DorsalFwdPhaser.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
DorsalFwdPhaser.SetInnerCoreColor(kColor)
DorsalFwdPhaser.SetNumSides(6)
DorsalFwdPhaser.SetMainRadius(0.070000)
DorsalFwdPhaser.SetTaperRadius(0.010000)
DorsalFwdPhaser.SetCoreScale(0.300000)
DorsalFwdPhaser.SetTaperRatio(0.250000)
DorsalFwdPhaser.SetTaperMinLength(30.000000)
DorsalFwdPhaser.SetTaperMaxLength(30.000000)
DorsalFwdPhaser.SetLengthTextureTilePerUnit(0.050000)
DorsalFwdPhaser.SetPerimeterTile(1.000000)
DorsalFwdPhaser.SetTextureSpeed(2.000000)
DorsalFwdPhaser.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalFwdPhaser)
#################################################
VentralPortPhaser = App.PhaserProperty_Create("Ventral Port Phaser")

VentralPortPhaser.SetMaxCondition(1000.000000)
VentralPortPhaser.SetCritical(0)
VentralPortPhaser.SetTargetable(1)
VentralPortPhaser.SetPrimary(1)
VentralPortPhaser.SetPosition(0.000000, 0.460000, -0.099000)
VentralPortPhaser.SetPosition2D(105.000000, 30.000000)
VentralPortPhaser.SetRepairComplexity(3.000000)
VentralPortPhaser.SetDisabledPercentage(0.750000)
VentralPortPhaser.SetRadius(0.250000)
VentralPortPhaser.SetDumbfire(0)
VentralPortPhaser.SetWeaponID(6)
VentralPortPhaser.SetGroups(0)
VentralPortPhaser.SetDamageRadiusFactor(0.100000)
VentralPortPhaser.SetIconNum(361)
VentralPortPhaser.SetIconPositionX(19.000000)
VentralPortPhaser.SetIconPositionY(35.000000)
VentralPortPhaser.SetIconAboveShip(1)
VentralPortPhaser.SetFireSound("Ambassador Phaser")
VentralPortPhaser.SetMaxCharge(1.500000)
VentralPortPhaser.SetMaxDamage(500.000000)
VentralPortPhaser.SetMaxDamageDistance(75.000000)
VentralPortPhaser.SetMinFiringCharge(1.000000)
VentralPortPhaser.SetNormalDischargeRate(1.000000)
VentralPortPhaser.SetRechargeRate(0.300000)
VentralPortPhaser.SetIndicatorIconNum(508)
VentralPortPhaser.SetIndicatorIconPositionX(17.000000)
VentralPortPhaser.SetIndicatorIconPositionY(35.000000)
VentralPortPhaserForward = App.TGPoint3()
VentralPortPhaserForward.SetXYZ(-0.999800, -0.019996, 0.000000)
VentralPortPhaserUp = App.TGPoint3()
VentralPortPhaserUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPortPhaser.SetOrientation(VentralPortPhaserForward, VentralPortPhaserUp)
VentralPortPhaser.SetWidth(0.620000)
VentralPortPhaser.SetLength(0.625000)
VentralPortPhaser.SetArcWidthAngles(-0.698132, 0.698132)
VentralPortPhaser.SetArcHeightAngles(0.000000, 1.570796)
VentralPortPhaser.SetPhaserTextureStart(0)
VentralPortPhaser.SetPhaserTextureEnd(7)
VentralPortPhaser.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
VentralPortPhaser.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
VentralPortPhaser.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
VentralPortPhaser.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
VentralPortPhaser.SetInnerCoreColor(kColor)
VentralPortPhaser.SetNumSides(6)
VentralPortPhaser.SetMainRadius(0.070000)
VentralPortPhaser.SetTaperRadius(0.010000)
VentralPortPhaser.SetCoreScale(0.300000)
VentralPortPhaser.SetTaperRatio(0.250000)
VentralPortPhaser.SetTaperMinLength(30.000000)
VentralPortPhaser.SetTaperMaxLength(30.000000)
VentralPortPhaser.SetLengthTextureTilePerUnit(0.050000)
VentralPortPhaser.SetPerimeterTile(1.000000)
VentralPortPhaser.SetTextureSpeed(2.000000)
VentralPortPhaser.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPortPhaser)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(1.000000, 0.000000, 0.000000)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(0.000000, -0.086812, 0.180768)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 1.300000, 0.000000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, -0.600000, 0.000000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-0.800000, 0.000000, 0.000000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.800000, 0.000000, 0.000000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 0.000000, 0.300000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 0.000000, -0.125000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 0.690000, 0.251886)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(2000.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(0.000000, -0.086812, 0.180768)
ShuttleBay.SetPosition2D(60.000000, 92.000000)
ShuttleBay.SetRepairComplexity(4.000000)
ShuttleBay.SetDisabledPercentage(0.000000)
ShuttleBay.SetRadius(0.100000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
LateralStarPhaser = App.PhaserProperty_Create("Lateral Star Phaser")

LateralStarPhaser.SetMaxCondition(1000.000000)
LateralStarPhaser.SetCritical(0)
LateralStarPhaser.SetTargetable(1)
LateralStarPhaser.SetPrimary(1)
LateralStarPhaser.SetPosition(0.663433, -0.694812, 0.035810)
LateralStarPhaser.SetPosition2D(34.000000, 30.000000)
LateralStarPhaser.SetRepairComplexity(3.000000)
LateralStarPhaser.SetDisabledPercentage(0.750000)
LateralStarPhaser.SetRadius(0.250000)
LateralStarPhaser.SetDumbfire(0)
LateralStarPhaser.SetWeaponID(1)
LateralStarPhaser.SetGroups(0)
LateralStarPhaser.SetDamageRadiusFactor(0.100000)
LateralStarPhaser.SetIconNum(362)
LateralStarPhaser.SetIconPositionX(118.000000)
LateralStarPhaser.SetIconPositionY(82.000000)
LateralStarPhaser.SetIconAboveShip(0)
LateralStarPhaser.SetFireSound("Ambassador Phaser")
LateralStarPhaser.SetMaxCharge(1.500000)
LateralStarPhaser.SetMaxDamage(500.000000)
LateralStarPhaser.SetMaxDamageDistance(75.000000)
LateralStarPhaser.SetMinFiringCharge(1.000000)
LateralStarPhaser.SetNormalDischargeRate(1.000000)
LateralStarPhaser.SetRechargeRate(0.300000)
LateralStarPhaser.SetIndicatorIconNum(509)
LateralStarPhaser.SetIndicatorIconPositionX(117.000000)
LateralStarPhaser.SetIndicatorIconPositionY(82.000000)
LateralStarPhaserForward = App.TGPoint3()
LateralStarPhaserForward.SetXYZ(1.000000, 0.000000, 0.000000)
LateralStarPhaserUp = App.TGPoint3()
LateralStarPhaserUp.SetXYZ(0.000000, 0.000000, 1.000000)
LateralStarPhaser.SetOrientation(LateralStarPhaserForward, LateralStarPhaserUp)
LateralStarPhaser.SetWidth(0.140000)
LateralStarPhaser.SetLength(0.010000)
LateralStarPhaser.SetArcWidthAngles(-1.047198, 1.047198)
LateralStarPhaser.SetArcHeightAngles(-1.047198, 1.047198)
LateralStarPhaser.SetPhaserTextureStart(0)
LateralStarPhaser.SetPhaserTextureEnd(7)
LateralStarPhaser.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.639216, 0.000000, 0.000000, 1.000000)
LateralStarPhaser.SetOuterShellColor(kColor)
kColor.SetRGBA(0.992157, 0.192157, 0.054902, 1.000000)
LateralStarPhaser.SetInnerShellColor(kColor)
kColor.SetRGBA(0.592157, 0.592157, 0.000000, 1.000000)
LateralStarPhaser.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.803922, 0.803922, 0.000000, 1.000000)
LateralStarPhaser.SetInnerCoreColor(kColor)
LateralStarPhaser.SetNumSides(6)
LateralStarPhaser.SetMainRadius(0.070000)
LateralStarPhaser.SetTaperRadius(0.010000)
LateralStarPhaser.SetCoreScale(0.300000)
LateralStarPhaser.SetTaperRatio(0.250000)
LateralStarPhaser.SetTaperMinLength(30.000000)
LateralStarPhaser.SetTaperMaxLength(30.000000)
LateralStarPhaser.SetLengthTextureTilePerUnit(0.050000)
LateralStarPhaser.SetPerimeterTile(1.000000)
LateralStarPhaser.SetTextureSpeed(2.000000)
LateralStarPhaser.SetTextureName("data/Dur_Phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(LateralStarPhaser)
#################################################
ImpulseEnginePort = App.EngineProperty_Create("Impulse Engine Port")

ImpulseEnginePort.SetMaxCondition(1700.000000)
ImpulseEnginePort.SetCritical(0)
ImpulseEnginePort.SetTargetable(1)
ImpulseEnginePort.SetPrimary(1)
ImpulseEnginePort.SetPosition(-0.143231, -0.618058, -0.012009)
ImpulseEnginePort.SetPosition2D(50.000000, 81.000000)
ImpulseEnginePort.SetRepairComplexity(3.000000)
ImpulseEnginePort.SetDisabledPercentage(0.500000)
ImpulseEnginePort.SetRadius(0.075000)
ImpulseEnginePort.SetEngineType(ImpulseEnginePort.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEnginePort)
#################################################
ImpulseEngineStar = App.EngineProperty_Create("Impulse Engine Star")

ImpulseEngineStar.SetMaxCondition(1700.000000)
ImpulseEngineStar.SetCritical(0)
ImpulseEngineStar.SetTargetable(1)
ImpulseEngineStar.SetPrimary(1)
ImpulseEngineStar.SetPosition(0.143231, -0.618058, -0.012009)
ImpulseEngineStar.SetPosition2D(77.000000, 81.000000)
ImpulseEngineStar.SetRepairComplexity(3.000000)
ImpulseEngineStar.SetDisabledPercentage(0.500000)
ImpulseEngineStar.SetRadius(0.075000)
ImpulseEngineStar.SetEngineType(ImpulseEngineStar.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngineStar)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Lateral Port Phaser", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Aft Phaser", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torpedo 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torpedo 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Torpedo 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Torpedo 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Engineering", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("AMB Escort Type 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractors", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Fwd Phaser", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Lateral Star Phaser", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Star Phaser", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Port Phaser", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engine Port", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engine Star", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
